1、检查pip和python版本

# 如果pip版本过低,可能无法安装,需要升级,在终端输入
pip install -U pip 


2、安装opencv依赖的动态链接库

# 终端输入
sudo apt install libqt4-test
sudo apt install libqtgui4

3、出现问题

在上述命令过程中,可能会出现下列错误:

4、解决方法

# 第一步
cd /var/lib/dpkg
# 第二步
sudo mv info info.baksudo
# 第三步
sudo mkdir info

5、安装

# 终端输入
sudo pip install opencv-python

成功界面:

6、测试

# 终端输入
python
# 导入
import cv2 as cv
print(cv.__version__)

效果图如下:

0
Posted in 问题解决

Leave a Comment:

电子邮件地址不会被公开。

  1. Everyone loves what you guys tend to be up too.

    This kind of clever work and reporting! Keep
    up the terrific works guys I’ve incorporated you guys
    to my personal blogroll.

    0

    回复